ANNIE1-electronics-design - Milestone #8806

Redesign of LAPPD central card
05/15/2015 09:16 AM - Matthew Wetstein

Status: New Start date: 07/01/2015
Priority: Normal Due date: 08/31/2015
Assignee: Matthew Wetstein % Done: 40%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Mircea

History

#1 - 08/05/2015 11:49 PM - Matthew Wetstein
- % Done changed from 0 to 40

#2 - 10/09/2015 02:12 PM - Jonathan Eisch

- Assignee set to Matthew Wetstein
